var isOpenedEvent = false;
var countBackButton = 0;
var lastScrollPosition = 0;
var choosedMoviesToList = [];
var sortable;
function onDeviceReady() {
  document.addEventListener("backbutton", onBackKeyDown, false);
}

if (typeof closeNewPopup === 'undefined' && typeof closeNewPopup !== 'function') {
  function closeNewPopup() {
    jQuery('.binged-popup-system').fadeOut();
    jQuery('.popup').fadeOut();
  }
}


function onBackKeyDown() {
  countBackButton++;
  alert(countBackButton);
}

function validateEmail(email) {
  return email.match(
    /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/
  );
};

function mobileAndTabletCheck() {
  const ua = navigator.userAgent;
  if (/(tablet|ipad|playbook|silk)|(android(?!.*mobi))/i.test(ua)) {
    return "tablet";
  }
  else if (/Mobile|Android|iP(hone|od)|IEMobile|BlackBerry|Kindle|Silk-Accelerated|(hpw|web)OS|Opera M(obi|ini)/.test(ua)) {
    return "mobile";
  }
  return "desktop";
};

function initCheckbox() {
 /*
  jQuery('.like-checkbox').each(function () {
    var checkbox = jQuery(this).find('input[type="checkbox"]');
    var label = checkbox.attr('data-label');
    var name = checkbox.attr('name');
    var activeClass = '';
    if (checkbox.prop('checked')) {
      activeClass = ' active ';
    }
    jQuery(this).append('<span class="like-checkbox-wrap ' + activeClass + '" data-parent="' + name + '">' + label + '</span>');
  });
  */

  jQuery('.like-checkbox-wrap').click(function () {
    var parent = jQuery(this).parent();
    var checkbox = parent.find('input[type="checkbox"][name="' + jQuery(this).attr('data-parent') + '"]');
    var checked = checkbox.prop('checked');
    jQuery(this).toggleClass('active');
    checkbox.prop('checked', !checked).trigger('change');
  });
}

jQuery(document).ready(function ($) {
  document.addEventListener("deviceready", onDeviceReady, false);

  if ($('body').hasClass('post-type-archive-mevents')) {
    $('li#menu-item-460352').addClass('current-menu-item');
  }

  if ($('body').hasClass('page-id-4789607')) {
    $('li#menu-item-472375').addClass('current-menu-item');
  }

  if ($('body').hasClass('category-reviews')) {
    $('li#menu-item-460368').addClass('current-menu-item');
  }

  if ($('body').hasClass('category-news')) {
    $('li#menu-item-471677').addClass('current-menu-item');
  }

  if ($('body').hasClass('page-id-472354')) {
    $('li#menu-item-472376').addClass('current-menu-item');
  }

  if ($('body').hasClass('list-pages') || $('body').hasClass('page-id-4858735')) {
    $('li#menu-item-4858742, li.menu-item-4946836').addClass('current-menu-item');
  }

  $('.password-form-group-eye').click(function () {
    var inputType = $(this).parent().find('input').attr('type');
    var newType = '';
    if (inputType == 'password') {
      newType = 'text';
    } else {
      newType = 'password';
    }
    $(this).parent().find('input').attr('type', newType);

  });

  $('.custom-menu').click(function () {
    $(this).toggleClass('opened');
    $('.new-design-header').toggleClass('opened');

    if ($(this).hasClass('d-xl-none')) {
      if ($(this).hasClass('opened')) {
        $('body').addClass('no-scroll');
      } else {
        $('body').removeClass('no-scroll');
      }
    }
  });

  $('.filter-button').click(function () {
      $('.search-filters').toggleClass('opened');
  });

  $('.search-filters .filters-close').click(function () {
    $('.filter-button').trigger('click');
  });

  const countSliders = 9;
  var swiperSliders = {};

  for (var sliderID = 1; sliderID <= countSliders; sliderID++) {
    if (jQuery('.swiper-slider-' + sliderID).length) {
      swiperSliders[sliderID] = new Swiper('.swiper-slider-' + sliderID, {
        slidesPerView: 4,
        spaceBetween: 24,
        centeredSlides: false,
        loop: false,
        slidesPerGroup : 4,
        // Navigation arrows
        navigation: {
          nextEl: '.swiper-slider-' + sliderID + ' .swiper-button-next',
          prevEl: '.swiper-slider-' + sliderID + ' .swiper-button-prev'
        },
        breakpoints: {
          320: {
            slidesPerView: 1,
            slidesPerGroup : 1,
          },
          576: {
            slidesPerView: 2,
            slidesPerGroup : 2,
          },
          768: {
            slidesPerView: 2.6,
            slidesPerGroup : 2,
          },
          992: {
            slidesPerView: 3,
            slidesPerGroup : 3,
          },
          1199: {
            slidesPerView: 4,
            slidesPerGroup : 4,
          }
        }
      });
    }
  }

  if ($('.trending-swiper').length) {
    var watchlistSwiper = new Swiper('.trending-swiper', {
      slidesPerView: 'auto',
      spaceBetween: 0,
    });
  }

  if ($('.platform-swiper').length) {
    var watchlistSwiper = new Swiper('.platform-swiper', {
      slidesPerView: 'auto',
      spaceBetween: 8,
    });
  }

  if ($('.home-page-swiper').length) {
    var watchlistSwiper = new Swiper('.home-page-swiper', {
      slidesPerView: 1,
      spaceBetween: 0,
      loop: true,
      autoplay: {
        delay: 8000,
      },
      navigation: {
        nextEl: '.home-page-swiper .swiper-button-next',
        prevEl: '.home-page-swiper .swiper-button-prev'
      }
    });
  }

  if ($('.watchlist-swiper').length) {
    var watchlistSwiper = new Swiper('.watchlist-swiper', {
      slidesPerView: 3,
      slidesPerGroup : 3,
      spaceBetween: 24,
      loop: false,
      navigation: {
        nextEl: '.watchlist-swiper .swiper-button-next',
        prevEl: '.watchlist-swiper .swiper-button-prev'
      },
      breakpoints: {
        320: {
          slidesPerView: 1,
          slidesPerGroup : 1,
        },
        576: {
          slidesPerView: 2,
          slidesPerGroup : 2,
        },
        768: {
          slidesPerView: 2.6,
          slidesPerGroup : 2,
        },
        992: {
          slidesPerView: 3,
          slidesPerGroup : 3,
        },
      }
    });
  }

  if ($('.swiper-tubs').length) {
    swiperTubs = new Swiper('.swiper-tubs', {
      slidesPerView: 8,
      spaceBetween: 30,
      breakpoints: {
        320: {
          slidesPerView: 2.7
        },
        576: {
          slidesPerView: 3.5
        },
        768: {
          slidesPerView: 5.5
        },
        992: {
          slidesPerView: 8
        },
      }
    });
  }

  if ($('.filters-swiper').length) {
    swiperTubs = new Swiper('.filters-swiper', {
      slidesPerView: 4,
      breakpoints: {
        320: {
          slidesPerView: 'auto'
        },
        1021: {
          slidesPerView: 4
        },
      }
    });
  }



  $('.swiper-slide a').click(function (e) {
    if ($(e.target).hasClass('swiper-slide-content-add-notify')) {
      e.preventDefault();
      e.stopPropagation();
    }
  });



  $('.filters-wrap-item-values-item').click(function () {
    $(this).toggleClass('active');
    var parentSelect = $('#' + $(this).attr('data-select'));
    var values = [];
    $('.filters-wrap-item-values-item[data-select="' +  $(this).attr('data-select') + '"].active').each(function () {
      values.push($(this).attr('data-value'));
    });
    parentSelect.val(values);
    parentSelect.trigger('change');
  });

  $('.filters-wrap-item-values-item-platform').click(function () {
    $(this).toggleClass('active');
    var parentSelect = $('#' + $(this).attr('data-select'));
    var values = [];
    $('.filters-wrap-item-values-item-platform[data-select="' +  $(this).attr('data-select') + '"].active').each(function () {
      values.push($(this).attr('data-value'));
    });
    parentSelect.val(values);
    parentSelect.trigger('change');
  });

  $('.filters-show-results-button button').click(function () {
    $('.filters-close').trigger('click');
  });

  $('#advanced-search-page-submit').click(function () {
    $('#search-input').val($('#search-input-clone').val());
    $('#advanced-search-page').submit();
  });


  $('.filters-wrap-item-more').click(function () {
    var text = $(this).text();
    var nextText = $(this).attr('data-text');
    $(this).attr('data-text', text);
    $(this).text(nextText);
    $(this).parent().toggleClass('shown');
  });

  if ($('#release-slider').length) {
    var slider = document.getElementById('release-slider');
    var maxYear = new Date().getFullYear();
    var minYear = 1900;
    noUiSlider.create(slider, {
      start: [minYear, maxYear],
      connect: true,
      step: 1,
      range: {
        'min': minYear,
        'max': maxYear
      }
    });

    slider.noUiSlider.on('update', function(values, handle) {
      $('.release-slider-right').text(parseInt(values[1]));
      $('.release-slider-left').text(parseInt(values[0]));
    });
  }

  if ($('#release-slider-advanced').length) {
    var sliderAdvanced = document.getElementById('release-slider-advanced');
    var maxYear = new Date().getFullYear();
    var minYear = 1900;
    noUiSlider.create(sliderAdvanced, {
      start: [minYear, maxYear],
      connect: true,
      step: 1,
      range: {
        'min': minYear,
        'max': maxYear
      }
    });

    sliderAdvanced.noUiSlider.on('update', function(values, handle) {
      $('.release-slider-advanced-right').text(parseInt(values[1]));
      $('#advanced-search-page #date-to').val(parseInt(values[1]));
      $('.release-slider-advanced-left').text(parseInt(values[0]));
      $('#advanced-search-page #date-from').val(parseInt(values[0]));
    });
  }

  $('.swiper-slide-content-add-notify').click(function () {
    var $self = $(this);
    if (bingedData.isLoggedIn) {
      $self.addClass('loading');
      slManageWachList(this).always(function () {
        $self.removeClass('loading');
      }).done(function (resp) {
        if (resp.success) {
          $('body').trigger('binged-manage-watchlist', [resp.data]);
        }
        var oldValue = parseInt($self.parent().find('.swiper-slide-content-data-info-notify span').text());
        if (resp.data.action == 'remove') {
          $self.removeClass('active');
          $self.parent().find('.swiper-slide-content-data-info-notify span').text((oldValue - 1));
        } else {
          $self.parent().find('.swiper-slide-content-data-info-notify span').text((oldValue + 1));
          $self.addClass('active');
        }
      });
    } else {
      bingedOpenLoginPopup();
    }
  });


  /*
  $('.lists-block-button a').click(function (e) {
    e.preventDefault();
    if (bingedData.isLoggedIn) {
      document.location.href = '/account/my-lists/add-new-list/';
    } else {
      bingedOpenLoginPopup();
    }

  });
   */


  $('.swiper-slide-add-to-watchlist > div').click(function () {
    var $self = $(this);
    if (bingedData.isLoggedIn) {
      slManageWachList(this).always(function () {
      }).done(function (resp) {
        if (resp.success) {
          $('body').trigger('binged-manage-watchlist', [resp.data]);
        }
      });
    } else {
      bingedOpenLoginPopup();
    }
  });

  $('.mobile-search').click(function() {
    isOpenedEvent = true;
    if ($('.new-design-header').hasClass('opened')) {
      $('.custom-menu').removeClass('opened');
      $('.new-design-header').removeClass('opened');
      $('body').removeClass('no-scroll');
    }

    if ($('.mobile-search-block').hasClass('opened')) {
      $('.mobile-search-block').removeClass('opened');
      $('.mobile-search-block .mobile-search-inner input').blur();
    } else {
      $('.mobile-search-block').addClass('opened');
      $('.mobile-search-inner input[type="text"]').focus();
    }
    setTimeout(function () {
      isOpenedEvent = false;
    }, 300);
  });

  $('body').click(function(e) {
    if ($(e.target).hasClass('mobile-search')
      || $(e.target).parent().hasClass('mobile-search')
      || $(e.target).hasClass('no-hidden')
      || $(e.target).hasClass('mobile-search-filters')
      || $(e.target).hasClass('mobile-additional-search')
      || $(e.target).hasClass('bng-movies-filter-label')
      || $(e.target).hasClass('bng-movies-search-input')
      || $(e.target).hasClass('search-input-mobile')) {
      return false;
    }

    //$('.movie-hidden-list').fadeOut(300);

  });


  $('.mobile-search-close').click(function() {
    $('.mobile-search-block').removeClass('opened');
    $('.mobile-search-block .mobile-search-inner input').blur();
  });

  $('.single-mevents-tubs-names-item').click(function() {
    if (!$(this).hasClass('active')) {
      $('.single-mevents-tubs-names-item').removeClass('active');
      $(this).addClass('active');
      $('.single-mevents-tubs-items-item').slideUp(300);
      $('.single-mevents-tubs-items-item[data-tub="' + $(this).attr('data-tub') + '"]').slideDown(300);
      document.location.hash = $(this).attr('data-tub');
    }
  });


  if ($('.single-mevents-tubs-names-item').length && document.location.hash.length) {
    var needTub = document.location.hash;
    $('.single-mevents-tubs-names-item[data-tub="' + needTub.replace('#', '') + '"]').trigger('click');
  }


  $('.close-tub').click(function () {
    $('.single-mevents-tubs-names-item').removeClass('active');
    $('.single-mevents-tubs-items-item').slideUp(300);
  });

  $('.author-page-container .streaming-item-platform-more').unbind('click');
  $('.author-page-container .streaming-item-platform-more').click(function () {
    var imageParent = $(this).parent().find('.streaming-item-platform');
    var activeIndex = parseInt(imageParent.find('img.active').attr('data-index'));
    var nextIndex = (activeIndex + 1);
    if (nextIndex > (imageParent.find('img').length -1)) {
      nextIndex = 0;
    }

    imageParent.find('img').removeClass('active');
    imageParent.find('img').eq(nextIndex).addClass('active');
  });

  $('.single-mevents-data-row-content span, .single-mevents-data-row-content-full span').click(function() {
    $('.single-mevents-data-row-content-full, .single-mevents-data-row-content').toggleClass('closed')
  });

  $('.more-actors').click(function () {
    var newNext = $(this).attr('data-text');
    var oldText = $(this).text();
    $(this).text(newNext);
    $(this).attr('data-text',oldText );
    $('.single-mevents-data-row-value.single-mevents-data-row-value-minified').toggleClass('opened');
  });

  jQuery(document).trigger('scroll');

  $('#menu-header-menu li a').click(function() {
    $('#menu-header-menu li').removeClass('current-menu-item');
    $(this).parent().addClass('current-menu-item');
  });

  $('#menu-header-account-menu-1 .sub-menu li a').click(function() {
    $('#menu-header-account-menu-1 .sub-menu li').removeClass('current-menu-item');
    $(this).parent().addClass('current-menu-item');
  });

  $('#menu-header-account-menu-1 li a').click(function() {
    $('.custom-menu').removeClass('opened');
    $('.new-design-header').removeClass('opened');
    $('body').removeClass('no-scroll');
  });

  $('.movies-table-view-more span').click(function () {
    var closestParent = $(this).closest('.movies-table-view-items');
    var dataText = $(this).attr('data-text');
    var text = $(this).text();
    $(this).text(dataText).attr('data-text', text);
    closestParent.toggleClass('active');
    var destination = $(closestParent).offset().top - 100;
    jQuery("html:not(:animated),body:not(:animated)").animate({scrollTop: destination}, 300);

  });

  $('.mobile-filter-button').click(function () {
    $('.new-design-header').addClass('mobile-filter-opened');
    $('.mobile-filter-block').addClass('opened');
    $('body').addClass('no-scroll');
    $('.mobile-filter-button-wrap').addClass('disabled');
  });

  $('.mobile-search-button').click(function () {
    $('.new-design-header').addClass('mobile-filter-opened');
    $('body').addClass('no-scroll');
    $('.mobile-filter-button-wrap').addClass('disabled');
    $('.mobile-additional-search').addClass('opened');
  });

  function changefixedFilters() {
    var count = parseInt($('.mobile-apply button span').text());

    if (isNaN(count) || count == 0) {
      $('.mobile-filter-button-wrap').removeClass('active');
      $('.mobile-filter-button-wrap button.mobile-filter-button').removeClass('active');
      $('.mobile-filter-button-wrap button.mobile-filter-button span').text('');
    } else {
      $('.mobile-filter-button-wrap').addClass('active');
      $('.mobile-filter-button-wrap button.mobile-filter-button').addClass('active');
      $('.mobile-filter-button-wrap button.mobile-filter-button span').text(count);
    }
  }


  $('.mobile-filter-block-close, .mobile-apply button').click(function() {
    $('.new-design-header').removeClass('mobile-filter-opened');
    $('.mobile-filter-block').removeClass('opened');
    $('body').removeClass('no-scroll');
    $('.mobile-filter-button-wrap').removeClass('disabled');
    changefixedFilters();
  });

  $('.mobile-filter-block-close-title').click(function () {
    $('.new-design-header').removeClass('mobile-filter-opened');
    $('.mobile-additional-search').removeClass('opened');
    $('body').removeClass('no-scroll');
    $('.mobile-filter-button-wrap').removeClass('disabled');
    changefixedFilters();
  });

  function readURL(input) {
    if (input.files && input.files[0]) {
      var reader = new FileReader();

      reader.onload = function (e) {
        $('#user-avatar-hidden-image').attr('src', e.target.result);
        $('#user_avatar').fadeOut(300);
        $('.user-avatar-hidden').fadeIn(300);
      }

      reader.readAsDataURL(input.files[0]);
    }
  }

  $('body.page-id-472346 #user_avatar').change(function () {
    readURL(this);
  });


  $('.user-avatar-block .edit-avatar a').click(function (e) {
    e.preventDefault();
    $('#user_avatar').fadeIn(300).val('');
    $('.user-avatar-hidden').fadeOut(300);
  });

  function customToUppercase(word) {
    firstChar = word.substring( 0, 1 );
    firstChar = firstChar.toUpperCase();
    tail = word.substring( 1 );
    word = firstChar + tail;
    return word;
  }

  function onlyUnique(arrayToUnique) {
    var tmpObject = {};

    for (var i in arrayToUnique) {
      if (tmpObject.hasOwnProperty(arrayToUnique[i])) {
        delete(arrayToUnique[i]);
      } else {
        tmpObject[arrayToUnique[i]] = 1;
      }
    }

    return arrayToUnique;
  }

  function highlightSearchWordsCustom(name) {
    var words = $('.mobile-search-block .mobile-search-inner input').val().split(' ');
    var nameByWords = name.split(' ');
    var allVariants = [];

    for (var y in words) {
      allVariants.push(words[y].toLowerCase());
      allVariants.push(words[y].toUpperCase());
      allVariants.push(customToUppercase(words[y]));
      allVariants.push(words[y]);
    }
    var unique = onlyUnique(allVariants);
    for (var i in unique) {
      if (unique[i] == '') {
        continue;
      }
      name = name.replace(unique[i], '<span class="highlight-serch-text">' + unique[i] + '</span>');
    }
    return name;
  }

  function getMoreSearchResults(ofset, value) {
    $.ajax({
      type: 'POST',
      url: bingedData.ajaxUrl,
      data: {
        action: 'mi_events_load_data',
        start: ofset * 20,
        length: "20",
        search  : {
          'value': value
        },
        mode: "all",
        filters  : {
          'search': value
        }
      },
      success: function (resp) {
        var content = '';
        if (resp.data.length > 0) {
          for (var i in resp.data) {
            var year = '';
            var type = '';
            var recomendation = '';
            var delimiter = '<span class="mobile-search-inner-result-delimiter">|</span>';

            if (resp.data[i]['release-year'] != '') {
              year = '<span class="mobile-search-inner-result-meta-year">' + resp.data[i]['release-year'] + '</span>' + delimiter;
            }

            if (resp.data[i]['category'] != '') {
              type = '<span class="mobile-search-inner-result-meta-type">' + resp.data[i]['category'] + '</span>' + delimiter;
            }

            if (resp.data[i]['recommendation'] != '') {
              recomendation = '<span class="mobile-search-inner-result-meta-rating">' + resp.data[i]['custom-ratting'] + '</span>';
            }

            var additionalClass = '';
            var wordsInTitle = resp.data[i]['title'].split( );
            for (var y in wordsInTitle) {
              if (wordsInTitle[y].length > 15) {
                additionalClass = 'word-break';
              }
            }

            content += '<div class="mobile-search-inner-result-item"><a href="' + resp.data[i]['link'] + '"><div class="mobile-search-inner-result-image" style="background: url(' + resp.data[i]['image'] + ')"></div><div class="mobile-search-inner-result-title ' + additionalClass + '">' + highlightSearchWordsCustom(resp.data[i]['title']) + '</div><div class="mobile-search-inner-result-meta">' + year + type + recomendation + '</div></a><div class="clearfix"></div></div>';
          }


          $('.mobile-search-inner-result').append('<div class="hidden-next-result">' + content + '</div>');
          $('.mobile-search-inner-result').unbind('scroll');
          $('.mobile-search-inner-result').scroll(function() {
            if($(this).scrollTop() + $(this).innerHeight() >= $(this)[0].scrollHeight) {
              $('.mobile-search-inner-result > .hidden-next-result:last').slideDown(300);
              if (resp.data.length == 20) {
                getMoreSearchResults(ofset + 1, value);
              } else {
                content = '<div class="mobile-search-inner-result-no">No more found</div>';
                $('.mobile-search-inner-result').append(content);
                $('.mobile-search-inner-result').unbind('scroll');
              }
            }
          });

        } else {
          content += '<div class="mobile-search-inner-result-no">No more found</div>';
          $('.mobile-search-inner-result').unbind('scroll');
          $('.mobile-search-inner-result').append(content);
        }
      }
    });
  }


  var timerVar = null;

  $('.mobile-search-block .mobile-search-inner input').keyup(function () {
    clearInterval(timerVar);
    var value = $(this).val();
    if (value.length > 2) {
      timerVar = setTimeout(function() {
        $('.mobile-search-inner-result').html('<div class="mobile-additional-search-results-preloader"><div class="binged-loader"><div></div><div></div><div></div><div></div></div></div>');
        $.ajax({
          type: 'POST',
          url: bingedData.ajaxUrl,
          data: {
            action: 'mi_events_load_data',
            start: "0",
            length: "20",
            search  : {
              'value': value
            },
            mode: "all",
            filters  : {
              'search': value
            }
          },
          success: function (resp) {
            $('.mobile-search-inner-result').html('');
            var content = '';
            if (resp.data.length > 0) {
              for (var i in resp.data) {
                var year = '';
                var type = '';
                var recomendation = '';
                var delimiter = '<span class="mobile-search-inner-result-delimiter">|</span>';

                if (resp.data[i]['release-year'] != '') {
                  year = '<span class="mobile-search-inner-result-meta-year">' + resp.data[i]['release-year'] + '</span>' + delimiter;
                }

                if (resp.data[i]['category'] != '') {
                  type = '<span class="mobile-search-inner-result-meta-type">' + resp.data[i]['category'] + '</span>' + delimiter;
                }

                if (resp.data[i]['recommendation'] != '') {
                  recomendation = '<span class="mobile-search-inner-result-meta-rating">' + resp.data[i]['custom-ratting'] + '</span>';
                }

                var additionalClass = '';
                var wordsInTitle = resp.data[i]['title'].split( );
                for (var y in wordsInTitle) {
                  if (wordsInTitle[y].length > 15) {
                    additionalClass = 'word-break';
                  }
                }

                content += '<div class="mobile-search-inner-result-item"><a href="' + resp.data[i]['link'] + '"><div class="mobile-search-inner-result-image" style="background: url(' + resp.data[i]['image'] + ')"></div><div class="mobile-search-inner-result-title ' + additionalClass + '">' + highlightSearchWordsCustom(resp.data[i]['title']) + '</div><div class="mobile-search-inner-result-meta">' + year + type + recomendation + '</div></a><div class="clearfix"></div></div>';
              }
              $('.mobile-search-inner-result').html(content);
              if (resp.data.length == 20) {
                getMoreSearchResults(1, value);
              }
            } else {
              content += '<div class="mobile-search-inner-result-no">No results found</div>';
              $('.mobile-search-inner-result').html(content);
            }
          }
        });
      }, 1000);
    }
  });



  $('.single-mevents-trailer-icon').click(function () {
    $('.single-mevents-youtube-inner').slideDown(300);
    var destination = $('.single-mevents-youtube').offset().top - 100;
    jQuery("html:not(:animated),body:not(:animated)").animate({scrollTop: destination}, 300);
  });

  $('.bng-header-search.bng-header__search').submit(function (e) {
    e.preventDefault();
    e.stopPropagation();

    var url = '/advanced-search/?';
    $('.search-filters #filter-category option:selected').each(function () {
      url += 'category=' + $(this).val() + '&';
    });

    url += 'date-from=' + parseInt($('.release-slider-left').text()) + '&';
    url += 'date-to=' + parseInt($('.release-slider-right').text()) + '&';

    $('.search-filters #filter-genre option:selected').each(function () {
      url += 'genre=' + $(this).val() + '&';
    });

    $('.search-filters #filter-language option:selected').each(function () {
      url += 'language=' + $(this).val() + '&';
    });

    $('.search-filters #filter-platform option:selected').each(function () {
      url += 'platform=' + $(this).val() + '&';
    });

    $('.search-filters #filter-recommendation option:selected').each(function () {
      url += 'recommendation=' + $(this).attr('data-normal') + '&';
    });

    url += 'search=' + $('.bng-header-search__input').val() + '&';
    url += 'title=' + $('.bng-header-search__input').val() + '&';
    url += 's=advanced';

    document.location.href = url;

  });

  initCheckbox();

  $('#bng-feedback').click(function () {
    $('#feedback-message').val('');
    $('#popup-feedback .success-message').text('');
    showNewPopup('popup-feedback');
  });

  $('#popup-feedback button').click(function () {
    var email = $('#feedback-email');
    var message = $('#feedback-message');
    var valid = true;

    $('#popup-feedback .popup-row').removeClass('error');

    if (email.val().length == 0 || !validateEmail(email.val())) {
      email.closest('.popup-row').addClass('error');
      valid = false;
    }

    if (message.val().length == 0) {
      message.closest('.popup-row').addClass('error');
      valid = false;
    }

    if (!valid) {
      return false;
    }

    var requestData = {
      'action' : 'binged_save_feedback',
      'email' : email.val(),
      'message' : message.val()
    }

    jQuery.ajax({
      type: 'POST',
      url: bingedData.ajaxUrl,
      data: requestData,
      success: function (data) {
        $('#popup-feedback .success-message').text(data['message']);
        $('#popup-feedback .popup-row').not('.popup-row-last').slideUp(300)
        setTimeout(function () {
          closeNewPopup();
        }, 5000);
        setTimeout(function () {
          $('#popup-feedback .popup-row').slideDown(0);
        }, 6000);
      }
    });
  });

  function inArrayCheck(rankedList, value) {
    var issetID = false;
    for (var i in rankedList) {
      if (value == rankedList[i]) {
        issetID = true;
      }
    }
    return issetID;
  }


  $('.add-to-list-block-button').unbind('click');
  $('.add-to-list-block-button').click(function () {
    if ($(this).hasClass('active')) {
      document.location.href = '/add-new-list/';
    } else {
      var cookieRankedLists = Cookies.get('listData');
      if (typeof cookieRankedLists === 'undefined') {
        var rankedLists = [];
      } else {
        var rankedLists = $.parseJSON(Cookies.get('listData'));
      }

      var movieTitle = $('.single-mevents-title h1').text();

      if (rankedLists.length < 10 && !inArrayCheck(rankedLists, $(this).attr('data-post_id'))) {
        rankedLists.push($(this).attr('data-post_id'));
        Cookies.set('listData', JSON.stringify(rankedLists));

        $(this).addClass('active').text($(this).attr('data-active'));
        $('#popup-add_to-ranked-list .add-more-list-row').show(0);
        $('#popup-add_to-ranked-list p').html('<strong>' + movieTitle + '</strong> was added to your top 10 ranked movies list.');
      } else {
        if (inArrayCheck(rankedLists, $(this).attr('data-post_id'))) {
          $('#popup-add_to-ranked-list p').text(movieTitle + ' is already in this list');
        } else {
          $('#popup-add_to-ranked-list p').text('You have already added 10 movies to your list');
        }

        //$('#popup-add_to-ranked-list p').text('You have already added 10 movies to your list');
        $('#popup-add_to-ranked-list .add-more-list-row').hide(0);
      }
      showNewPopup('popup-add_to-ranked-list');
    }
  });
  $('#popup-add_to-ranked-list .add-more-list').unbind('click');
  $('#popup-add_to-ranked-list .add-more-list').click(closeNewPopup);
});


jQuery(document).scroll(function (e) {

  function setTopPosition(top) {
    if (jQuery('.left-ad').length) {
      jQuery('.left-ad').css({
        '-webkit-transform': 'translate(-100%, ' + top + 'px)',
        '-moz-transform': 'translate(-100%, ' + top + 'px)',
        '-ms-transform': 'translate(-100%, ' + top + 'px)',
        '-o-transform': 'translate(-100%, ' + top + 'px)',
        'transform': 'translate(-100%, ' + top + 'px)'
      });
    }
    if (jQuery('.right-ad').length) {
      jQuery('.right-ad').css({
        '-webkit-transform': 'translate(100%, ' + top + 'px)',
        '-moz-transform': 'translate(100%, ' + top + 'px)',
        '-ms-transform': 'translate(100%, ' + top + 'px)',
        '-o-transform': 'translate(100%, ' + top + 'px)',
        'transform': 'translate(100%, ' + top + 'px)'
      });
    }
  }



  //if ($(window).width() > 1199) {
    var beedPosition = 0;
    if (jQuery(window).scrollTop() > beedPosition) {
      jQuery('.new-design-header').addClass('scrolled');
    } else {
      jQuery('.new-design-header').removeClass('scrolled');
    }
    /*
    if (jQuery(window).scrollTop() > lastScrollPosition) {
      jQuery('.new-design-header').addClass('visible-position');
    } else {
      jQuery('.new-design-header').removeClass('visible-position');
    }
     */


  //}

  if (jQuery('body').hasClass('single') && jQuery('.single-banner').length) {
    var topPosition = jQuery('.single-banner').offset().top - jQuery('header').height();
    var bottomPosition = topPosition + jQuery('.single-banner').height() + jQuery('.single-content').height() - jQuery('.left-ad').height();
    var delta = 0;
    if (jQuery(window).scrollTop() < topPosition) {
      setTopPosition(0);
    }
    if (jQuery(window).scrollTop() > topPosition && jQuery(window).scrollTop() < bottomPosition) {
      setTopPosition(jQuery(window).scrollTop() - topPosition);
    }
  }

  lastScrollPosition = jQuery(window).scrollTop();
});